package com.ruoyi.common.core.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * * Author: brenda
 * * 2024/8/7
 **/
public class DeptUserCountTree implements Serializable {

    private String id;

    /** 节点名称 */
    private String label;

    private int userCount;

    /** 子节点 */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<DeptUserCountTree> children;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public int getUserCount() {
        return userCount;
    }

    public void setUserCount(int userCount) {
        this.userCount = userCount;
    }

    public List<DeptUserCountTree> getChildren() {
        return children;
    }

    public void setChildren(List<DeptUserCountTree> children) {
        this.children = children;
    }
}
